Method: projects.locations.goldengateDeploymentEnvironments.list

Lists GoldengateDeploymentEnvironments in a given project and location.

HTTP request


GET https://oracledatabase.googleapis.com/v1/{parent=projects/*/locations/*}/goldengateDeploymentEnvironments

The URLs use gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The parent, which owns this collection of GoldengateDeploymentEnvironments. Format: projects/{project}/locations/{location}

Query parameters

Parameters
pageSize

integer

Optional. The maximum number of items to return. If unspecified, at most 50 deployment environments will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000.

pageToken

string

Optional. A token identifying a page of results the server should return.

Request body

The request body must be empty.

Response body

Message for response to listing GoldengateDeploymentEnvironments

If successful, the response body contains data with the following structure:

JSON representation
{
  "goldengateDeploymentEnvironments": [
    {
      object (GoldengateDeploymentEnvironment)
    }
  ],
  "nextPageToken": string,
  "unreachable": [
    string
  ]
}
Fields
goldengateDeploymentEnvironments[]

object (GoldengateDeploymentEnvironment)

The list of GoldengateDeploymentEnvironment

nextPageToken

string

A token identifying a page of results the server should return. If this field is empty, there are no subsequent pages.

unreachable[]

string

Unordered list. Locations that could not be reached.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/oracle-database

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the parent resource:

  • oracledatabase.goldenGateDeploymentEnvironments.list

For more information, see the IAM documentation.